## GUPnPXMLDoc

GUPnPXMLDoc — GObject wrapper for xmlDoc.

## Functions

GUPnPXMLDoc * | gupnp_xml_doc_new ()
GUPnPXMLDoc * | gupnp_xml_doc_new_from_path ()

## Types and Values

struct | GUPnPXMLDoc

## Object Hierarchy

        GObject
        ╰── GUPnPXMLDoc

## Description

GObject wrapper for xmlDoc, so that we can use refcounting and weak references.

## Functions

### gupnp_xml_doc_new ()

    GUPnPXMLDoc *
    gupnp_xml_doc_new (xmlDoc *xml_doc);

Create a new GUPnPXMLDoc for `xml_doc` .

#### Parameters

xml_doc | Pointer to xmlDoc to wrap under this object |

#### Returns

A new GUPnPXMLDoc, or `NULL` on an error

Since 0.13.0

### gupnp_xml_doc_new_from_path ()

    GUPnPXMLDoc *
    gupnp_xml_doc_new_from_path (const char *path,
                                 GError **error);

Create a new GUPnPXMLDoc for the XML document at `path` .

#### Parameters

path | Path to xml document |
error | Location to put the error into |

#### Returns

A new GUPnPXMLDoc, or `NULL` on an error

Since 0.13.0

## Types and Values

### struct GUPnPXMLDoc

    struct GUPnPXMLDoc {
            xmlDoc *doc;
    };

Reference-counting wrapper for libxml's xmlDoc

#### Members

xmlDoc *`doc`; | Pointer to the document. |